For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve webhook
      • GETlist applications
      • POSTcreate application
      • GETretrieve an application
      • PUTupdate application
      • DELdelete an application
      • GETGet App Env Schema
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementApplications

update application

PUT
https://api.jambonz.cloud/v1/Applications/:ApplicationSid
PUT
/v1/Applications/:ApplicationSid
$curl -X PUT https://api.jambonz.cloud/v1/Applications/ApplicationSid \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Customer Support App",
> "account_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
>}'
1{}
Was this page helpful?
Previous

delete an application

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ApplicationSidstringRequired

Request

This endpoint expects an object.
namestringRequired
account_sidstringRequiredformat: "uuid"
call_hookobjectOptional
application webhook for inbound voice calls
call_status_hookobjectOptional
webhhok for reporting call status events
messaging_hookobjectOptional

application webhook for inbound SMS/MMS

speech_synthesis_vendorstringOptional
speech_synthesis_voicestringOptional
speech_recognizer_vendorstringOptional
speech_recognizer_languagestringOptional
env_varsobjectOptional

Object containing the Application Environment Variables as key/value to be sent with the call_hook payload

record_all_callsbooleanOptional

Response

application updated

Errors

404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error